All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Interface ExportColumnsInterface

All Known Implementing Classes:
  RelationalExportSelectorAdapter

    public interface ExportColumnsInterface

Represents an adapter for the ExportSelector capable of exporting the wanted subset of columns.

Field Summary
`static java.lang.String` | `ALL_COLUMNS` When all the columns in the data model have be exported this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `DISPLAYED_COLUMNS` When only the currently displayed columns have be exported this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `SELECTED_COLUMNS` When only the selected columns have be exported this is the value passed to the ExportSelectorCommand.

Method Summary
`java.util.List` | `getAvailableColumns()` Returns the list of quadruplets column's name/column's index/enabledImageName/disabledImageName for all the columns that are in the TableModel.
`int[]` | `getColumns()` Returns the indexes of the columns to export.
`int[]` | `getCurrentlyDisplayedColumnIndexes()` Returns the indexes of the columns that are currently displayed in the TableView that contains the data we're exporting.
`java.lang.Object` | `getViewer()` Returns the viewer like a TableView or a MenuBar where the displaying of this selector originated from.
`void` | `setColumns(int[] columns)` Sets the indexes of the columns to export.
`void` | `setCurrentlyDisplayedColumnIndexes(int[] indexes)` Sets the indexes of the columns that are currently displayed in the TableView that contains the data we're exporting.
`void` | `setViewer(java.lang.Object viewer)` Sets the viewer like a TableView or a MenuBar where the displaying of this selector originated from.

Field Detail

### ALL_COLUMNS

    static final java.lang.String ALL_COLUMNS

  When all the columns in the data model have be exported this is the value passed to the ExportSelectorCommand. "A"

  See Also:
    `DISPLAYED_COLUMNS`, `SELECTED_COLUMNS`, Constant Field Values

### DISPLAYED_COLUMNS

    static final java.lang.String DISPLAYED_COLUMNS

  When only the currently displayed columns have be exported this is the value passed to the ExportSelectorCommand. "D"

  See Also:
    `ALL_COLUMNS`, `SELECTED_COLUMNS`, Constant Field Values

### SELECTED_COLUMNS

    static final java.lang.String SELECTED_COLUMNS

  When only the selected columns have be exported this is the value passed to the ExportSelectorCommand. "S"

  See Also:
    `ALL_COLUMNS`, `DISPLAYED_COLUMNS`, Constant Field Values

Method Detail

### setColumns

    void setColumns(int[] columns)

  Sets the indexes of the columns to export.

  Parameters:
    `columns` - the indexes of the columns to export.

### getColumns

    int[] getColumns()

  Returns the indexes of the columns to export.

  Returns:
    the indexes of the columns to export.

### getAvailableColumns

    java.util.List getAvailableColumns()

  Returns the list of quadruplets column's name/column's index/enabledImageName/disabledImageName for all the columns that are in the TableModel.

  Returns:
    a List of String[4] elements where the first String is the column name, the second String is the index of that column in the TableModel, the third is the name of the image to display in the node when the node is enabled, the fouth is the name of the image to display in the node when the node is disabled. Example [0] = "Age" and [1] = "0" and [2] = "CategoryItemType.gif" and [3] = "CategoryItemType_disabled.gif". An empty List is returned if it cannot provide with a valid List of quadruplets column's name/column's index/enabledImageName/disabledImageName.

### setViewer

    void setViewer(java.lang.Object viewer)

  Sets the viewer like a TableView or a MenuBar where the displaying of this selector originated from. Example when you click on the 'Export to Excel...' icon of the MenuBar or when you launch the ExportSelector directly from within a Tableview. This viewer can be needed by the selector panel for example to know what is the set of currently displayed columns.

  Parameters:
    `viewer` - the viewer where the displaying of this selector originated from.

### getViewer

    java.lang.Object getViewer()

  Returns the viewer like a TableView or a MenuBar where the displaying of this selector originated from. Example when you click on the 'Export to Excel...' icon of the MenuBar or when you launch the ExportSelector directly from within a Tableview. This viewer can be needed by the selector panel for example to know what is the set of currently displayed columns.

  Returns:
    the viewer where the displaying of this selector originated from.

### getCurrentlyDisplayedColumnIndexes

    int[] getCurrentlyDisplayedColumnIndexes()

  Returns the indexes of the columns that are currently displayed in the TableView that contains the data we're exporting.

  Returns:
    the indexes of the columns that are currently displayed in the TableView that contains the data we're exporting.

### setCurrentlyDisplayedColumnIndexes

    void setCurrentlyDisplayedColumnIndexes(int[] indexes)

  Sets the indexes of the columns that are currently displayed in the TableView that contains the data we're exporting.

  Parameters:
    `indexes` - the indexes of the columns that are currently displayed in the TableView that contains the data we're exporting.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.